> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate broker API key

> Create a new API key for a broker-funder relationship. The broker is identified by email domain. If the funder account or broker-funder relationship doesn't exist, they will be created automatically. Returns an error if an API key already exists for this relationship.




## OpenAPI

````yaml https://app.herondata.io/swagger post /api/broker_submissions/api_keys/generate
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/broker_submissions/api_keys/generate:
    post:
      tags:
        - BrokerSubmissions
      summary: Generate broker API key
      description: >
        Create a new API key for a broker-funder relationship. The broker is
        identified by email domain. If the funder account or broker-funder
        relationship doesn't exist, they will be created automatically. Returns
        an error if an API key already exists for this relationship.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateBrokerFunderApiKeySchema'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  broker_funder_token:
                    description: The generated API key token
                    type: string
                type: object
          description: OK
        '404':
          description: Broker with the specified email domain does not exist
        '409':
          description: API key already exists for this broker-funder relationship
components:
  schemas:
    CreateBrokerFunderApiKeySchema:
      properties:
        email:
          description: Broker email address
          format: email
          type: string
      required:
        - email
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````